Subject: Re: Does GIT require property like Subversion?

From: Jakub Narebski <[email-masked]>
Date: Sun, 08 Oct 2006 12:26:04 +0200

Jakub Narebski wrote:

> We could in pronciple "borrow" Mercurial idea of input/output filters
>   http://www.selenic.com/mercurial/wiki/index.cgi/EncodeDecodeFilter
> which would (among others) enable to use constant eol-style in the shared
> part of repository i.e. object database, while using OS native eol-style
> (UNIX vs. Microsoft Windows vs. MacOS). eol-style doesn't matter much:
> you can find good editors which are able to use any eol-style for any OS
> nowadays.

What's more important, that would enable to store in SCM files which format
is of archive of mix of _text_ and binary files, archive being compressed
and binary. Examples include OpenDocument (ODF), Java Archive (.jar),
Mozilla extension (.xpi)... well good XML aware diff would be also nice.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git